#include "preferences.h"

#include "settings.h"


Preferences::Preferences( QWidget *parent, const QString& name, KConfigSkeleton *config ) : KConfigDialog( parent, name, config )
{
	QWidget *deviceSettingsDlg = new QWidget( );
	ui_prefs_device.setupUi( deviceSettingsDlg );
	addPage( deviceSettingsDlg, i18n("Audio Device"), "audio-card" );

	QWidget *tuningSettingsDlg = new QWidget( );
	ui_prefs_tuning.setupUi( tuningSettingsDlg );
	addPage( tuningSettingsDlg, i18n("Tuning Algorithm"), "audio-x-generic" );

	QWidget *appearanceSettingsDlg = new QWidget( );
	ui_prefs_appearance.setupUi( appearanceSettingsDlg );
	addPage( appearanceSettingsDlg, i18n("Appearance"), "applications-graphics" );
}
